Bug 21346 - OPEN_MAX not defined in limits.h
OPEN_MAX not defined in limits.h
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2000-11-26 08:09 EST by Ville Syrjdld
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-11-26 08:09:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ville Syrjdld 2000-11-26 08:09:40 EST
OPEN_MAX is defined in linux/limits.h but limits.h doesn't include
linux/limits.h. Maybe limits.h should include bits/local_lim.h which
includes linux/limits.h?
Comment 1 Jakub Jelinek 2000-11-26 12:11:30 EST
OPEN_MAX is intentionally not defined because it is no longer
constant in Linux, it is runtime changeable.
/usr/include/bits/local_lim.h does include linux/limits.h but
undefines this for this reason.
Use sysconfig(_SC_OPEN_MAX) to query the same information.
Comment 2 Dmitry Bolkhovityanov 2001-07-30 07:49:47 EDT
Sorry, but not defining OPEN_MAX *is* a bug -- some programs use this macro for
various purposes, and it is defined by POSIX standard.  Removing it causes
portability problems (most programs don't need so many files anyway).

Additionally, this macro is mentioned in glibc.info (at least in redhat-7.1).

Note You need to log in before you can comment on or make changes to this bug.